Package org.apache.sysds.resource

# Enum Class CloudUtils.CloudProvider

java.lang.Object
java.lang.Enum<CloudUtils.CloudProvider>
org.apache.sysds.resource.CloudUtils.CloudProvider

All Implemented Interfaces:
  `Serializable`, `Comparable<CloudUtils.CloudProvider>`, `Constable`

Enclosing class:
  CloudUtils

public static enum CloudUtils.CloudProvider extends Enum<CloudUtils.CloudProvider>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AWS`

## Method Summary

Modifier and Type
Method
Description
`static CloudUtils.CloudProvider`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CloudUtils.CloudProvider[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AWS

public static final CloudUtils.CloudProvider AWS

## Method Details

### values

public static CloudUtils.CloudProvider[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CloudUtils.CloudProvider valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null